if arg[2] == '-w' then
  -- window mode
  love.window.setMode(800, 600)

  love.graphics.setNewFont(40)
  local x = -200

  function love.update(dt)
    x = x + dt*100
    if x > 800 then x = x - 1000 end
  end

  function love.draw()
    love.graphics.print("Simple demo")
    love.graphics.rectangle("fill", x, 200, 200, 200)
  end

  function love.keypressed(k)
    return k == "escape" and love.event.quit()
  end

else

  -- command-line mode

  if arg[2] == '-c' then
    print("2 + 2 = " .. 2+2)
  else
    print("Usage: love test.love [args]")
    print("   Args:")
    print("      -w: Display a rectangle in window mode")
    print("      -c: Perform some complicated calculations")
  end
  love.event.quit()
end
